<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Creatures/Animals/AnimalBase.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/db7/_animal_base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">AnimalBase.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../de/db7/_animal_base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/dcc/class_day_z_animal.html">DayZAnimal</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d2/d59/class_animal___bos_taurus"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#d2/d59/class_animal___bos_taurus">Animal_BosTaurus</a></td></tr>
<tr class="separator:d2/d59/class_animal___bos_taurus"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d8f/class_animal_base.html">AnimalBase</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d1/d6d/class_animal___capreolus_capreolus"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#d1/d6d/class_animal___capreolus_capreolus">Animal_CapreolusCapreolus</a></td></tr>
<tr class="separator:d1/d6d/class_animal___capreolus_capreolus"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dc/d62/class_animal___cervus_elaphus"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#dc/d62/class_animal___cervus_elaphus">Animal_CervusElaphus</a></td></tr>
<tr class="separator:dc/d62/class_animal___cervus_elaphus"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d8c/class_animal___gallus_gallus_domesticus.html">Animal_GallusGallusDomesticus</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d9d/class_animal___gallus_gallus_domesticus_f.html">Animal_GallusGallusDomesticusF</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae52be22902445a9e766534119decaf6d"><td class="memItemLeft" align="right" valign="top">class <a class="el" href="../../d4/d8f/class_animal_base.html">AnimalBase</a> extends <a class="el" href="../../d1/dcc/class_day_z_animal.html">DayZAnimal</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#ae52be22902445a9e766534119decaf6d">RegisterHitComponentsForAI</a> ()</td></tr>
<tr class="separator:ae52be22902445a9e766534119decaf6d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae18bf202ea7e79b44ee3d5a9f7a42703"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#ae18bf202ea7e79b44ee3d5a9f7a42703">IsRefresherSignalingViable</a> ()</td></tr>
<tr class="separator:ae18bf202ea7e79b44ee3d5a9f7a42703"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9963015efd45ba5607f7ac42e039f4d7"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#a9963015efd45ba5607f7ac42e039f4d7">CaptureSound</a> ()</td></tr>
<tr class="separator:a9963015efd45ba5607f7ac42e039f4d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7610f1938e082304c0a182cec4882c85"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#a7610f1938e082304c0a182cec4882c85">ReleaseSound</a> ()</td></tr>
<tr class="separator:a7610f1938e082304c0a182cec4882c85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa66f6a10a167b3aab1ced9f813a84873"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#aa66f6a10a167b3aab1ced9f813a84873">IsDanger</a> ()</td></tr>
<tr class="separator:aa66f6a10a167b3aab1ced9f813a84873"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57f78023773e268aced849838649291a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#a57f78023773e268aced849838649291a">ReplaceOnDeath</a> ()</td></tr>
<tr class="separator:a57f78023773e268aced849838649291a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac41954dab14abd446b1c1ad9b3beab0e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#ac41954dab14abd446b1c1ad9b3beab0e">CanBeSkinned</a> ()</td></tr>
<tr class="separator:ac41954dab14abd446b1c1ad9b3beab0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a839948b6f7b99a323f4335d035a93e94"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#a839948b6f7b99a323f4335d035a93e94">GetDeadItemName</a> ()</td></tr>
<tr class="separator:a839948b6f7b99a323f4335d035a93e94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5ccab0782b5c43c9bef337d3216c8da"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/db7/_animal_base_8c.html#ae5ccab0782b5c43c9bef337d3216c8da">KeepHealthOnReplace</a> ()</td></tr>
<tr class="separator:ae5ccab0782b5c43c9bef337d3216c8da"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/><h2 class="groupheader">Data Structure Documentation</h2>
<a name="d2/d59/class_animal___bos_taurus" id="d2/d59/class_animal___bos_taurus"></a>
<h2 class="memtitle"><span class="permalink"><a href="#d2/d59/class_animal___bos_taurus">&#9670;&#160;</a></span>Animal_BosTaurus</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class Animal_BosTaurus</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00033">33</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>
</div>
</div>
</div>
<a name="d1/d6d/class_animal___capreolus_capreolus" id="d1/d6d/class_animal___capreolus_capreolus"></a>
<h2 class="memtitle"><span class="permalink"><a href="#d1/d6d/class_animal___capreolus_capreolus">&#9670;&#160;</a></span>Animal_CapreolusCapreolus</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class Animal_CapreolusCapreolus</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00113">113</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>
</div>
</div>
</div>
<a name="dc/d62/class_animal___cervus_elaphus" id="dc/d62/class_animal___cervus_elaphus"></a>
<h2 class="memtitle"><span class="permalink"><a href="#dc/d62/class_animal___cervus_elaphus">&#9670;&#160;</a></span>Animal_CervusElaphus</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class Animal_CervusElaphus</td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00138">138</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>
</div>
</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ac41954dab14abd446b1c1ad9b3beab0e" name="ac41954dab14abd446b1c1ad9b3beab0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac41954dab14abd446b1c1ad9b3beab0e">&#9670;&#160;</a></span>CanBeSkinned()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> CanBeSkinned </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00170">170</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="a9963015efd45ba5607f7ac42e039f4d7" name="a9963015efd45ba5607f7ac42e039f4d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9963015efd45ba5607f7ac42e039f4d7">&#9670;&#160;</a></span>CaptureSound()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> CaptureSound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00023">23</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="a839948b6f7b99a323f4335d035a93e94" name="a839948b6f7b99a323f4335d035a93e94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a839948b6f7b99a323f4335d035a93e94">&#9670;&#160;</a></span>GetDeadItemName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> GetDeadItemName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00175">175</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="aa66f6a10a167b3aab1ced9f813a84873" name="aa66f6a10a167b3aab1ced9f813a84873"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa66f6a10a167b3aab1ced9f813a84873">&#9670;&#160;</a></span>IsDanger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> IsDanger </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00049">49</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="ae18bf202ea7e79b44ee3d5a9f7a42703" name="ae18bf202ea7e79b44ee3d5a9f7a42703"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae18bf202ea7e79b44ee3d5a9f7a42703">&#9670;&#160;</a></span>IsRefresherSignalingViable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> RegisterHitComponentsForAI::IsRefresherSignalingViable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00012">12</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="ae5ccab0782b5c43c9bef337d3216c8da" name="ae5ccab0782b5c43c9bef337d3216c8da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5ccab0782b5c43c9bef337d3216c8da">&#9670;&#160;</a></span>KeepHealthOnReplace()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> KeepHealthOnReplace </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00180">180</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="ae52be22902445a9e766534119decaf6d" name="ae52be22902445a9e766534119decaf6d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae52be22902445a9e766534119decaf6d">&#9670;&#160;</a></span>RegisterHitComponentsForAI()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">class <a class="el" href="../../d4/d8f/class_animal_base.html">AnimalBase</a> extends <a class="el" href="../../d1/dcc/class_day_z_animal.html">DayZAnimal</a> RegisterHitComponentsForAI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="a7610f1938e082304c0a182cec4882c85" name="a7610f1938e082304c0a182cec4882c85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7610f1938e082304c0a182cec4882c85">&#9670;&#160;</a></span>ReleaseSound()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ReleaseSound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00028">28</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
<a id="a57f78023773e268aced849838649291a" name="a57f78023773e268aced849838649291a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57f78023773e268aced849838649291a">&#9670;&#160;</a></span>ReplaceOnDeath()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ReplaceOnDeath </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/db7/_animal_base_8c_source.html#l00165">165</a> of file <a class="el" href="../../de/db7/_animal_base_8c_source.html">AnimalBase.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_4b811ae0bf3c333140a738d6ca8e8666.html">Creatures</a></li><li class="navelem"><a class="el" href="../../dir_6ea09ddb0a5733030909af0399a514ee.html">Animals</a></li><li class="navelem"><a class="el" href="../../de/db7/_animal_base_8c.html">AnimalBase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
